repository intelligence
Get repository intelligence scanRunId
Requires scopes: eval:read
GET
/
api
/
repository-intelligence
/
repositories
/
{repositoryId}
/
scans
/
{scanRunId}
Get repository intelligence scanRunId
curl --request GET \
--url https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/scans/{scanRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/scans/{scanRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/scans/{scanRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scanRun": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": 123,
"snapshotId": "<string>",
"status": "<string>",
"completeness": "failed",
"idempotencyKey": "<string>",
"detectorRegistryHash": "<string>",
"manifestHash": "<string>",
"graphVersionId": "<string>",
"fileCount": 123,
"factCount": 123,
"relationCount": 123,
"warnings": [
"<string>"
],
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"detectorRuns": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scanRunId": "<string>",
"detectorId": "<string>",
"detectorVersion": "<string>",
"path": "<string>",
"status": "<string>",
"evidenceHash": "<string>",
"warnings": [
"<string>"
],
"factCount": 123,
"relationCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"findings": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": 123,
"graphVersionId": "<string>",
"category": "<string>",
"severity": "high",
"title": "<string>",
"summary": "<string>",
"affectedNodeIds": [
"<string>"
],
"affectedObjectiveIds": [
"<string>"
],
"evidenceIds": [
"<string>"
],
"recommendedActionType": "<string>",
"state": "open",
"contentHash": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
Get repository intelligence scanRunId
